Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class SuggestionHandler

    java.lang.Object
      com.verisign.epp.framework.EPPSuggestionHandler
          com.verisign.epp.serverstub.SuggestionHandler

All Implemented Interfaces:
  EPPEventHandler

    public class SuggestionHandler

extends EPPSuggestionHandler

Constructor Summary
`SuggestionHandler()` Constructs an instance of SuggestionHandler

Method Summary
`protected EPPEventResponse` | `doSuggestionInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Suggestion Info command is received.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Suggestion commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Suggestion commands need to execute before they execute their command specific behavior.

Methods inherited from class com.verisign.epp.framework.EPPSuggestionHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuggestionHandler

    public SuggestionHandler()

  Constructs an instance of SuggestionHandler

Method Detail

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all Suggestion commands need to execute before they execute their command specific behavior.

  Overrides:
    `preHandleEvent` in class `EPPSuggestionHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPSuggestionHandler` This is assumed to be an instance of SessionData here.
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all Suggestion commands need to execute after they execute their command specific behavior.

  Overrides:
    `postHandleEvent` in class `EPPSuggestionHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPSuggestionHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doSuggestionInfo

    protected EPPEventResponse doSuggestionInfo(EPPEvent aEvent,
                                                java.lang.Object aData)

  Invoked when a Suggestion Info command is received.

  Specified by:
    `doSuggestionInfo` in class `EPPSuggestionHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPSuggestiondHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.